Package org.eclipse.graphiti.ui.internal.command

## Class CreateModelObjectCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.AbstractCommand
    - - org.eclipse.graphiti.ui.internal.command.GFCommand
      - - org.eclipse.graphiti.ui.internal.command.CreateModelObjectCommand

All Implemented Interfaces:
  `IConfigurationProviderHolder`

    public class CreateModelObjectCommand
    extends GFCommand

### Constructor Summary

Constructors
`CreateModelObjectCommand​(IConfigurationProvider configurationProvider, ICreateFeature feature, ICreateContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()`
`boolean` `canUndo()`
`void` `execute()`
`void` `undo()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.command.GFCommand

`getContext, getFeature, setContext, setFeature`

### Methods inherited from class org.eclipse.graphiti.ui.internal.command.AbstractCommand

`getConfigurationProvider, getFeatureProvider, getTransactionalEditingDomain`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, chain, dispose, getDebugLabel, getLabel, redo, setDebugLabel, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateModelObjectCommand

    public CreateModelObjectCommand​(IConfigurationProvider configurationProvider,
                                    ICreateFeature feature,
                                    ICreateContext context)

### Method Detail

#### canExecute

    public boolean canExecute()

Overrides:
  `canExecute` in class `org.eclipse.gef.commands.Command`

#### execute

    public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

#### canUndo

    public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.Command`

#### undo

    public void undo()

Overrides:
  `undo` in class `org.eclipse.gef.commands.Command`